### org.jfree.layouting.input.style.values

# Class CSSStringValue

- `java.lang.Object`
- - `org.jfree.layouting.input.style.values.CSSStringValue`

Implemented Interfaces:
  CSSValue, Serializable

Known Direct Subclasses:
  CSSFormatedValue

`public class CSSStringValue`
`extends java.lang.Object`
`implements CSSValue`

Creation-Date: 23.11.2005, 11:50:28

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSStringValue(CSSStringType type, String value)`

  ## Method Summary

  `String`

  `getCSSText()`

  `CSSStringType`

  `getType()`

  `String`

  `getValue()`

  `String`

  `toString()`

## Constructor Details

### CSSStringValue

    public CSSStringValue(CSSStringType type,
                          String value)

## Method Details

### getCSSText

    public String getCSSText()

> Specified by:
>   getCSSText in interface CSSValue

### getType

    public CSSStringType getType()

### getValue

    public String getValue()

### toString

    public String toString()